org.apache.commons.ssl

## Class Version

- java.lang.Object
- - org.apache.commons.ssl.Version

    public class Version
    extends java.lang.Object

Extracts tagged version from a subversion $HeadURL: http://juliusdavies.ca/svn/not-yet-commons-ssl/tags/commons-ssl-0.3.15/src/java/org/apache/commons/ssl/Version.java $ property, and prints it out nicely on standard out.

e.g. If this version came from /tags/commons-ssl-0_3_9/, then Version.java will print: "Version: 0.3.9" on standard out.

Since:
  14-Nov-2007
Author:
  Credit Union Central of British Columbia, www.cucbc.com, juliusdavies@cucbc.com

### Nested Class Summary

Nested Classes
`private static class` `Version.CompileTime` Searches through a jar file to the find the most recent timestamp of all the class files.

### Field Summary

Fields
`static java.lang.String` `COMPILE_TIME`
`static java.lang.String` `HEAD_URL`
`static java.lang.String` `VERSION`

### Constructor Summary

Constructors
Constructor and Description
`Version()`

### Method Summary

Methods
`static void` `main(java.lang.String[] args)`
`java.lang.String` `toString()`
`static java.lang.String` `versionString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### HEAD_URL

    public static final java.lang.String HEAD_URL

See Also:
  Constant Field Values

#### VERSION

    public static final java.lang.String VERSION

#### COMPILE_TIME

    public static final java.lang.String COMPILE_TIME

### Constructor Detail

#### Version

    public Version()

### Method Detail

#### versionString

    public static java.lang.String versionString()

#### main

    public static void main(java.lang.String[] args)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`